var ASPECT_RATIO = 16.0/10.0;
var MIN_NAV_HEIGHT = 100;
var NAV_HEIGHT_RATIO = 0.1;
var LINE_PADDING = 10;
var NAV_IMG_WIDTH = 50;
var NAV_IMG_HEIGHT = 50;
var MIN_IMG_MARGIN_BOTTOM = 10;

var prevClientWidth = 0;
var prevClientHeight = 0;
function resizeImages() {
	var clientWidth = document.documentElement.clientWidth;
	var clientHeight = document.documentElement.clientHeight;

	if (prevClientWidth != clientWidth || prevClientHeight != clientHeight) {
		var imgWidth = 0;
		var imgHeight = 0;
		var imgTop = 0;
		if (clientWidth < clientHeight / ASPECT_RATIO) {
			imgWidth = clientWidth;
			imgHeight = imgWidth * ASPECT_RATIO;
			imgTop += (clientHeight - imgHeight) / 2.0;
		}
		else {
			imgHeight = clientHeight;
			imgWidth = imgHeight / ASPECT_RATIO;
		}
		var imgLeft = (clientWidth - imgWidth) / 2.0;
		var navHeight = Math.floor(imgHeight * NAV_HEIGHT_RATIO);
		if (navHeight < MIN_NAV_HEIGHT) {
			navHeight = MIN_NAV_HEIGHT;
		}

		var imgContainers = document.getElementsByClassName("img_container");
		for (i = 0; i < imgContainers.length; i++) {
			imgContainers[i].style.height = clientHeight + "px";
		}

		var imgs = document.getElementsByClassName("main_img");
		for (i = 0; i < imgs.length; i++) {
			imgs[i].style.width = imgWidth + "px";
			imgs[i].style.height = imgHeight + "px";
			imgs[i].style.top = imgTop + "px";
			imgs[i].style.left = imgLeft + "px";
		}

		var lines = document.getElementsByClassName("line");
		for (i = 0; i < lines.length; i++) {
			lines[i].style.width = (imgWidth - 2 * LINE_PADDING) + "px";
			lines[i].style.top = imgTop + "px";
			lines[i].style.left = imgLeft + "px";
		}

		var navPrevs = document.getElementsByClassName("nav_prev");
		for (i = 0; i < navPrevs.length; i++) {
			navPrevs[i].style.width = imgWidth + "px";
			navPrevs[i].style.height = navHeight + "px";
			navPrevs[i].style.top = imgTop + "px";
			navPrevs[i].style.left = imgLeft + "px";
		}

		var navNexts = document.getElementsByClassName("nav_next");
		for (i = 0; i < navNexts.length; i++) {
			navNexts[i].style.width = imgWidth + "px";
			navNexts[i].style.top = (imgTop + imgHeight - navHeight) + "px";
			navNexts[i].style.left = imgLeft + "px";
			navNexts[i].style.height = navHeight + "px";
		}

		var navImgs = document.getElementsByClassName("nav_img");
		for (i = 0; i < navImgs.length; i++) {
			navImgs[i].style.top = (navHeight - NAV_IMG_HEIGHT) / 2.0 + "px";
			navImgs[i].style.left = (imgWidth - NAV_IMG_WIDTH) / 2.0 + "px";
		}

		var current_hash = location.hash;
		location.hash = "";
		location.hash = current_hash;
		
		prevClientWidth = clientWidth;
		prevClientheight = clientHeight;
	}
}

var resizeTimer;
function setResizeTimer() {
	if (!resizeTimer) {
		clearTimeout(resizeTimer);
	}

	resizeTimer = setTimeout(resizeImages, 100);
}

var loadingText = document.getElementById("loading_text");
loadingText.style.display = "none";

var imgContainers = document.getElementsByClassName("img_container");
for (i = 0; i < imgContainers.length; i++) {
	imgContainers[i].style.visibility = "visible";
}

resizeImages();
window.onresize = setResizeTimer;
